pykdeuic4 - Designer Qt .ui file compiler for PyKDE 4
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
by Simon Edwards <simon@simonzone.com>


Introduction
------------
pykdeuic4 is an enhanced version of pyuic4 which supports KDE4 widgets and
i18n. It compiles Designer Qt .ui files to Python classes. Primary features
or differences compared to pyuic4 are:

* Support KDE 4 widgets.
* Uses KDE's i18n() function for handling translatable strings.
* Generates code to preview the GUI.


Installation
------------
Copy kde4.py to <python-install-dir>/site-packages/PyQt4/uic/widget-plugins/
pykdeuic4 should be installed to somewhere on your path, like /usr/bin/.


Usage
-----
"python pykdeuic4.py MyWindow.ui" will compile the .ui file and print the
output to stdout. Use the -o option to specify a file to put the output in.
Use the -e flag to generate extra code which will display the GUI when run.
